// Line2_MoveDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CLine2_MoveDlg dialog
class CLine2_MoveDlg : public CDialog
{
// Construction
public:
	CLine2_MoveDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_LINE2_MOVE_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CButton m_btMove;
	CButton m_btStop;
	CButton m_btClear;
	long m_nFinishPoint;
	long m_nFinishPoint2;
	UINT m_dwStartSpeed;
	UINT m_dwDriveSpeed;
	UINT m_dwAcce;
	UINT m_dwDecel;
	CString m_strAcce;
	CString m_strDecel;
protected:
	int m_nMoveType;
	short m_ModuleNum;
	unsigned char m_CurSlotNo;
	UINT nTimer;
	unsigned char m_ErrorOccure;
	bool m_bStartMotion;
public:
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
protected:
	void DetailedErrorMsg(short wErrAxes);
public:
	afx_msg void OnConstMove();
	afx_msg void OnTProfile();
	afx_msg void OnSCurve();
	afx_msg void OnInterpStart();
	afx_msg void OnMotionStop();
	afx_msg void OnResetCounter();
	afx_msg void OnUpdateStartSpeed(CCmdUI *pCmdUI);
};
