// Velocity_MoveDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CVelocity_MoveDlg dialog
class CVelocity_MoveDlg : public CDialog
{
// Construction
public:
	CVelocity_MoveDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_VELOCITY_MOVE_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CButton m_btMove;
	CButton m_btStop;
	CButton m_btClear;
	CString m_strCV;
	CString m_strCA;
	CString m_strEP;
	CString m_strLP;
	UINT m_dwStartSpeed;
	UINT m_dwDriveSpeed;
	UINT m_dwAcce;
protected:
	short m_ModuleNum;
	unsigned char m_CurSlotNo;
	UINT nTimer;
public:
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnVelocityMove();
	afx_msg void OnCounterClear();
	afx_msg void OnMotionStop();
};
