// Velocity_PulseCmd_ChangeDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CVelocity_PulseCmd_ChangeDlg dialog
class CVelocity_PulseCmd_ChangeDlg : public CDialog
{
// Construction
public:
	CVelocity_PulseCmd_ChangeDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_VELOCITY_PULSECMD_CHANGE_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CButton	m_btClear;
	CButton	m_btChangeP;
	CButton	m_btChangeV;
	CButton	m_btMove;
	CButton	m_btStop;
	long	m_nFixedPulse;
	UINT	m_dwDriveSpeed;
	UINT	m_dwStartSpeed;
	UINT	m_dwAcce;
protected:
	short m_ModuleNum;
	unsigned char m_CurSlotNo;
	UINT nTimer;
	BYTE m_ErrorOccure;
public:
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnStartMove();
	afx_msg void OnStopMove();
	afx_msg void OnResetCounter();
	afx_msg void OnChangeP();
	afx_msg void OnChangeV();
};
